import { Instantiable, Instance } from '../Support/types';
declare class Callable<T> {
    private _target;
    private _method?;
    private _isStatic;
    constructor(target: Instantiable<T> | Instance<T>, method?: string, isStatic?: boolean);
    readonly target: Instantiable<T> | Instance<T>;
    readonly method: string | undefined;
    readonly isStatic: boolean;
    asArray(): [Instantiable<T> | Instance<T>, string | undefined, boolean];
    call(args: any[]): any;
}
export default Callable;
